# $Revision: 1.22 $, $Date: 2009/11/22 01:33:59 $
#
# Conditional build
%bcond_without	static_libs	# don't build static library
%bcond_without  tests		# disable cpptest
#
Summary:	XSPF playlist reading and writing support
Summary(pl.UTF-8):	Obsługa odczytu i zapisu playlist XSPF
Name:		libxspf
Version:	1.2.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/libspiff/%{name}-%{version}.tar.gz
# Source0-md5:	d3276bf6c7f86442b72629a3e7b8bd5b
Patch0:		%{name}-link.patch
URL:		http://libspiff.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_tests:BuildRequires:	cpptest-devel >= 1.1.0}
BuildRequires:	expat-devel >= 1:1.95.8
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	uriparser-devel >= 0.7.5
Requires:	expat >= 1:1.95.8
Requires:	uriparser >= 0.7.5
Obsoletes:	libspiff
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxspf brings XSPF playlist reading and writing support to your C++
application.

%description -l pl.UTF-8
libxspf daje możliwość odczytu i zapisu playlist XSPF z poziomu C++.

%package devel
Summary:	Header files for libxspf
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxspf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel >= 1:1.95.8
Requires:	libstdc++-devel
Requires:	uriparser-devel >= 0.3.0
Obsoletes:	libspiff-devel

%description devel
Header files for libxspf.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libxspf.

%package static
Summary:	Static libxspf library
Summary(pl.UTF-8):	Statyczna biblioteka libxspf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libspiff-static

%description static
Static libxspf library.

%description static -l pl.UTF-8
Statyczna biblioteka libxspf.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	 %{!?with_tests:--disable-test}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/xspf_*
%attr(755,root,root) %{_libdir}/libxspf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxspf.so.[0-9]

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxspf.so
%{_libdir}/libxspf.la
%{_includedir}/xspf
%{_pkgconfigdir}/xspf.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxspf.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxspf.spec,v $
Revision 1.22  2009/11/22 01:33:59  sparky
- BR: s/pkg-config/pkgconfig/

Revision 1.21  2009/05/26 22:44:45  charles
- added without static_libs bcond

Revision 1.20  2009/05/26 22:37:43  charles
- BR: cpptest-devel (with bcond)

Revision 1.19  2009/04/03 13:31:28  lisu
- O: libspiff, libspiff-devel, libspiff-static

Revision 1.18  2009/03/09 12:13:58  lisu
- mention about version up in previous log

Revision 1.17  2009/03/09 10:29:36  lisu
- 1.2.0 version
- name changed libspiff -> libxspf
- BR: pkg-config
- uriparser >= 0.7.5 required

Revision 1.16  2008/11/21 11:48:53  lisu
- up to 1.0.0

Revision 1.15  2008/07/31 18:10:23  arekm
- up to 0.8.4

Revision 1.14  2008-03-08 09:54:02  arekm
- up to 0.8.3

Revision 1.13  2008-01-13 17:33:53  arekm
- rel 4

Revision 1.12  2007-11-25 20:51:38  arekm
- rel 3

Revision 1.11  2007-11-18 18:10:29  arekm
- rel 2

Revision 1.10  2007-10-10 19:35:01  arekm
- up to 0.8.2

Revision 1.9  2007/10/05 06:19:57  arekm
- up to 0.8.1

Revision 1.8  2007/09/15 13:52:34  qboosh
- updated to 0.7.3
- added link patch
- package soname symlink as ghost

Revision 1.7  2007/08/09 05:50:32  arekm
- up to 0.7.2

Revision 1.6  2007/06/04 13:40:01  arekm
- up to 0.7.1

Revision 1.5  2007/05/30 16:42:40  arekm
- up to 0.7.0

Revision 1.4  2007/04/24 16:00:26  qboosh
- devel deps

Revision 1.3  2007/04/24 15:52:42  qboosh
- pl

Revision 1.2  2007/04/19 09:18:35  arekm
- add la file

Revision 1.1  2007/04/19 09:18:14  arekm
- initial in pld
